Name
----
phStbImage

Overview
--------
User space component used to decode Jpeg, PNG, Gif, Bmp image files or to
grab the currently display video frame using /dev/vrend/display[1|2]

Associated Device(s)
--------------------
/dev/vrend/display[1|2]

Parameters
----------
None

Description
-----------
This component provides a simple interface to decode images into memory. The
API consists of phStbImage_GetDimensions() that returns the image type (derived
from the filename) and its dimensions (in pixels), and phStbImage_Decode()
that decodes the images to memory according to a set of parameters that the
calling programme specifies. Animated Gif files are supported via a callback
mechanism that can be used to loop animations.

For a worked example see exStbFb

IOCTLs
------
None

Associated files
----------------

comps/phStbImage/inc/phStbImage.h
apps/exStbFb/src/exStbFb.c
